//
//  AppDelegate+NetworkChange.m
//  DemoTest
//
//  Created by 汇元 on 2018/5/31.
//  Copyright © 2018年 汇元. All rights reserved.
//

#import "AppDelegate+NetworkChange.h"

#import "AFNetworkReachabilityManager.h"

#import "Reachability.h"
#define URL_Reachability_Address  @"http://www.apple.com"
#import <SystemConfiguration/SystemConfiguration.h>

@interface AppDelegate ()

@property (nonatomic, strong) Reachability *hostReachability;

@end

@implementation AppDelegate (NetworkChange)

#pragma mark - 监测网络
// 使用AFNetWorking
- (void)useAFNetWorkingToNotifationNetworkChange {
    
    //1.创建网络监听管理者
    AFNetworkReachabilityManager *manager = [AFNetworkReachabilityManager sharedManager];
    
    /*
     AFNetworkReachabilityManager是AFNetworking封装的一个单例类。只要网络状态一改变就会调用。
     在需要检测网络状态改变的界面，我们调用有两个方法：
     （1）借用通知
     （2）直接调用单例方法
     */
    
    
    // 下面的可以不写 如果写了网络状态一改变会走到这里 不写不走。
    //2.监听网络状态的改变
    /*
     AFNetworkReachabilityStatusUnknown     = 未识别的网络                -1
     AFNetworkReachabilityStatusNotReachable   = 没有网络                 0
     AFNetworkReachabilityStatusReachableViaWWAN = 2G,3G,4G..            1
     AFNetworkReachabilityStatusReachableViaWiFi = WIFI                  2
     */
//    [manager setReachabilityStatusChangeBlock:^(AFNetworkReachabilityStatus status) {
    
//        switch (status) {
//            case AFNetworkReachabilityStatusUnknown:
//                NSLog(@"未识别的网络");
//                break;
//            case AFNetworkReachabilityStatusNotReachable:
//                NSLog(@"没有网络");
//                break;
//            case AFNetworkReachabilityStatusReachableViaWWAN:
//                NSLog(@"2G,3G,4G..");
//                break;
//            case AFNetworkReachabilityStatusReachableViaWiFi:
//                NSLog(@"WIFI");
//                break;
//                
//            default:
//                break;
//        }
//    }];
    
    //3.开始监听
    [manager startMonitoring];

}

- (void)useReachabilityToNotifationNetwprkChange {
    NSString *remoteHostName = @"www.apple.com";

//    self.hostReachability = [Reachability reachabilityWithHostName:remoteHostName];
    Reachability *hostReac = [Reachability reachabilityWithHostName:remoteHostName];
//    self.reachability = hostReac;
//    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(netStatusChange:) name:kReachabilityChangedNotification object:nil];
    ///开启监听，会启动一个run loop
    [hostReac startNotifier];
    
}

- (void)netStatusChange:(NSNotification *)note{
    Reachability *currentReach = [note object];
    NSParameterAssert([currentReach isKindOfClass:[Reachability class]]);
    //判断网络状态
    switch (currentReach.currentReachabilityStatus) {
        case NotReachable:
            NSLog(@"网络不通");
            break;
        case ReachableViaWiFi:
            NSLog(@"wifi上网");
            break;
        case ReachableViaWWAN:
            NSLog(@"手机上网");
            break;
        default:
            break;
    }
}

@end
