//
//  SecondViewController.m
//  123
//
//  Created by 汇元 on 2018/5/31.
//  Copyright © 2018年 汇元. All rights reserved.
//

#import "SecondViewController.h"
#import "Reachability.h"

@interface SecondViewController ()

@property (nonatomic, strong) Reachability *rech;

@end

@implementation SecondViewController

- (void)viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    Reachability *reach = [Reachability reachabilityWithHostName:@"www.baidu.com"];
    self.rech = reach;
    [[NSNotificationCenter defaultCenter]addObserver:self  selector:@selector(netStatusChange:) name:kReachabilityChangedNotification object:nil];
    //实现监听
    [reach startNotifier];
}
//在viewWillDisappear中移除通知
-(void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    [[NSNotificationCenter defaultCenter]removeObserver:self];
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor redColor];
    
    // Do any additional setup after loading the view.
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self dismissViewControllerAnimated:YES completion:^{
        
    }];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

- (void)netStatusChange:(NSNotification *)note{
    Reachability *currentReach = [note object];
    NSParameterAssert([currentReach isKindOfClass:[Reachability class]]);
    //判断网络状态
    switch (currentReach.currentReachabilityStatus) {
        case NotReachable:
            NSLog(@"网络不通");
            break;
        case ReachableViaWiFi:
            NSLog(@"wifi上网");
            break;
        case ReachableViaWWAN:
            NSLog(@"手机上网");
            break;
        default:
            break;
    }
}

@end
