//
//  ViewController.m
//  123
//
//  Created by 汇元 on 2018/5/31.
//  Copyright © 2018年 汇元. All rights reserved.
//

#import "ViewController.h"
#import "SecondViewController.h"

#import "AFNetworkReachabilityManager.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
//    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(afNetworkStatusChanged:) name:AFNetworkingReachabilityDidChangeNotification object:nil];

    [[AFNetworkReachabilityManager sharedManager] setReachabilityStatusChangeBlock:^(AFNetworkReachabilityStatus status) {
        NSLog(@"网络状态改变");
        switch (status) {
            case AFNetworkReachabilityStatusUnknown:
                NSLog(@"未知");
                break;
            case AFNetworkReachabilityStatusNotReachable:
                NSLog(@"没有网络");
                break;
            case AFNetworkReachabilityStatusReachableViaWWAN:
                NSLog(@"3G");
                break;
            case AFNetworkReachabilityStatusReachableViaWiFi:
                NSLog(@"WIFI");
                break;
                
            default:
                break;
        }
    }];
    
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
 
    SecondViewController *secondVC = [[SecondViewController alloc] init];
    [self presentViewController:secondVC animated:YES completion:^{
        
    }];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)afNetworkStatusChanged:(NSNotification *)noti{
    NSDictionary *dic = noti.userInfo;

    /*
     AFNetworkReachabilityStatusUnknown     = 未识别的网络                -1
     AFNetworkReachabilityStatusNotReachable   = 没有网络                 0
     AFNetworkReachabilityStatusReachableViaWWAN = 2G,3G,4G..            1
     AFNetworkReachabilityStatusReachableViaWiFi = WIFI                  2
     */
    //获取网络状态
    NSInteger status = [[dic objectForKey:@"AFNetworkingReachabilityNotificationStatusItem"] integerValue];

    if(status == AFNetworkReachabilityStatusNotReachable) {
        //无网络连接
        NSLog(@"无网络连接");
    } else if (status == AFNetworkReachabilityStatusReachableViaWWAN) {
        //数据网连接
        NSLog(@"数据网连接");
    } else if (status == AFNetworkReachabilityStatusReachableViaWiFi) {
        //Wi-Fi连接
        NSLog(@"Wi-Fi连接");
    } else {
        //未识别的网络
        NSLog(@"未识别的网络");
    }
    
}

- (void)dealloc {
    [[NSNotificationCenter defaultCenter] removeObserver:self name:AFNetworkingReachabilityDidChangeNotification object:nil];

}

@end
